Package org.globus.util.http

# Class HTTPResponseParser

java.lang.Object
org.globus.util.http.HTTPParser
org.globus.util.http.HTTPResponseParser

public class HTTPResponseParser extends HTTPParser

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`_httpCode`
`protected String`
`_httpMsg`
`protected String`
`_httpType`

### Fields inherited from class org.globus.util.http.HTTPParser

`_chunked, _connection, _contentLength, _contentType, _host, _reader, _server`

## Constructor Summary

Constructors
Constructor
Description
`HTTPResponseParser(InputStream is)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
`int`
`getStatusCode()`
`boolean`
`isOK()`
`void`
`parseHead(String line)`

### Methods inherited from class org.globus.util.http.HTTPParser

`getContentLength, getContentType, getReader, getRest, isChunked, parse, setInputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _httpType

protected String _httpType

### _httpCode

protected int _httpCode

### _httpMsg

protected String _httpMsg

## Constructor Details

### HTTPResponseParser

public HTTPResponseParser(InputStream is) throws IOException

Throws:
  `IOException`

## Method Details

### getMessage

public String getMessage()

### getStatusCode

public int getStatusCode()

### isOK

public boolean isOK()

### parseHead

public void parseHead(String line) throws IOException

Specified by:
  `parseHead` in class `HTTPParser`
Throws:
  `IOException`